PDA

View Full Version : Urgent: Eclipse error on Fedora



nimmonika
18th March 2005, 04:37 PM
I am desperately trying to get eclipse working, however Fedora gives me the following error, Please can someone guide me....

SESSION Mar 18, 2005 14:50:30.708 ---------------------------------------------
eclipse.buildId=M200409161125
java.version=1.5.0_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB

!ENTRY org.eclipse.osgi Mar 18, 2005 14:50:30.709
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: memmove
at org.eclipse.swt.internal.gtk.OS.memmove(Native Method)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Conve rter.java:67)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Conve rter.java:54)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:118)
at org.eclipse.ui.internal.Workbench.createDisplay(Wo rkbench.java:268)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI .java:153)
at org.eclipse.ui.internal.ide.IDEApplication.createD isplay(IDEApplication.java:122)
at org.eclipse.ui.internal.ide.IDEApplication.run(IDE Application.java:72)
at org.eclipse.core.internal.runtime.PlatformActivato r$1.run(PlatformActivator.java:335)
at org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:273)
at org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:129)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.core.launcher.Main.basicRun(Main.java: 185)
at org.eclipse.core.launcher.Main.run(Main.java:704)
at org.eclipse.core.launcher.Main.main(Main.java:688)

BandC
18th March 2005, 05:21 PM
Is your java working correctly? Can you run the java programs you download from the net or can you write a java program and run it? Eclipse is based on java so if you're java is working it should work me thinks. No installation required. Go to: http://stanton-finley.net/fedora_core_3_installation_notes.html#Java

and make sure your java is working.

nimmonika
18th March 2005, 05:23 PM
Is your java working correctly? Can you run the java programs you download from the net or can you write a java program and run it? Eclipse is based on java so if you're java is working it should work me thinks. No installation required. Go to: http://stanton-finley.net/fedora_core_3_installation_notes.html#Java

and make sure your java is working.
I am able to do everything with java, there is no problem there

james_in_denver
18th March 2005, 05:50 PM
Which java are your using "java -version"?, can you please post the output? from that?

Was eclipse working at some point earlier and after installing a plug-in, stopped working?

Did you un-install gcc-java libgcj libgcj-devel ???

nimmonika
18th March 2005, 05:58 PM
I have very recently installed Fedora: the latest one and this is the first time I tried installing Eclipse on it. The java version I am using is jdk 1.5.1_01, it is specified in the log that I got in the error

crackers
18th March 2005, 07:03 PM
UnsatisfiedLinkError indicates that there is a missing or invalid "native code" link. Since this is in the GTK part of SWT, I think you'll probably want to start checking your GTK installation.

nimmonika
18th March 2005, 07:07 PM
sorry to sound daft..however I am a linux newbie ... I have used Eclipse smoothly before when I was with the Evil empire ...:). Can you give me some idea how do I go about checking the GTX files...?

Thanks

james_in_denver
18th March 2005, 07:24 PM
Well, you might try "yum upgrade *gkt* "........

I'm not certain which specific library might be the problem, but that should upgrade all of your gtk packages to the newest release.

nimmonika
19th March 2005, 11:13 AM
I tried this..it did not work....any other suggestion that may help...?